package com.hello.api;

import java.util.Date;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity
@Table(name="person")
public class Person {

  private Long id;
  private String firstName;
  private String lastName;
  private Date birthDate;
  
  public Person() {/* needed for JPA */}
  
  public Person(String firstName, String lastName, Date birthDate) {
    this.firstName = firstName;
    this.lastName = lastName;
    this.birthDate = birthDate;
  }

  
  @Id
  @GeneratedValue(strategy = GenerationType.SEQUENCE)
  public Long getId() {
    return id;
  }

  @Basic
  @Column(name="first_name", length=100, nullable=false)
  public String getFirstName() {
    return firstName;
  }
  
  @Basic
  @Column(name="last_name", length=100, nullable=false)
  public String getLastName() {
    return lastName;
  }

  @Temporal(TemporalType.DATE)
  @Column(name="birth_date", nullable=true)
  public Date getBirthDate() {
    return birthDate;
  }
  
  public void setId(Long id) {
    this.id = id;
  }
  public void setFirstName(String firstName) {
    this.firstName = firstName;
  }
  public void setLastName(String lastName) {
    this.lastName = lastName;
  }
  public void setBirthDate(Date birthDate) {
    this.birthDate = birthDate;
  }
}
